public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jeroen Roovers" <jer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-gfx/wings/
Date: Tue, 10 Dec 2019 09:11:45 +0000 (UTC)	[thread overview]
Message-ID: <1575969101.c70d27d079cbd4bb0766e5a5dd61a0904788531b.jer@gentoo> (raw)

commit:     c70d27d079cbd4bb0766e5a5dd61a0904788531b
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 10 09:11:22 2019 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Tue Dec 10 09:11:41 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c70d27d0

media-gfx/wings: Version 2.2.5

Package-Manager: Portage-2.3.81, Repoman-2.3.20
Closes: https://bugs.gentoo.org/684118
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 media-gfx/wings/Manifest           |  1 +
 media-gfx/wings/wings-2.2.5.ebuild | 50 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/media-gfx/wings/Manifest b/media-gfx/wings/Manifest
index c69a2dccec9..c8d3685ab39 100644
--- a/media-gfx/wings/Manifest
+++ b/media-gfx/wings/Manifest
@@ -1,3 +1,4 @@
 DIST wings-2.1.5.tar.bz2 2653117 BLAKE2B 10b14e8dd29daf74fd6af9229341296fa457df405542274533df85198d932188c53094afffbc4b09342c29086df02a7e19d4983f1fc912623ea79ae85e9d4067 SHA512 37f363f39d0618550d7814733a4e52c18b52c7d8ee357c76dcf97ae1b530f5b941bddecfba18d63538792dda3ca3013055759595157832e11e017bfe18b34df0
 DIST wings-2.1.6.tar.bz2 2688154 BLAKE2B 9183ac21f3ae58e5c4d248f3ab9e8af89c3838b312aa51f6d625c21cde05b9326156737e449876aa2a0ea8047a9ce75ad433fe1430ff5add2c5b516144ba7244 SHA512 db17ae58f57233a65f9cec43cca41e9d259eb6499229e6ffc1f1acb8e86e18deda7a1ab1075f0948885cc4ca3c075871150efb007bf3e8e8e5a2e77b5b924af7
 DIST wings-2.1.7.tar.bz2 2720764 BLAKE2B b0ba4a1acaee6ea0bcd21cab1eca1a37a0fd3549c2d5551969e71084eb2596a9c7574f0ddc3a86230fccbaf58c3ac87d7061ccfa17047d10e1b8bff096198235 SHA512 6cd2816e22b2326af43f539831d36b32015828c5261c0503ea36cd171dfd8a54eba65165395fbb3f173224d6bb2d3a3015f8f58225c6237c2d5bf56604e72d10
+DIST wings-2.2.5.tar.bz2 3211359 BLAKE2B d5aa7ea337894f18d6b45ff7e68bb35d587da47bf173045d80eb643d748fc64a511db305d1dc164789b06aa34ea47549a04a05564fa615bf01532da294768cd3 SHA512 343fd601a68cccff0151748f151c85635bf57acc01c25fd2ba770f255d65e73a49671c3a84c4433576c1ba3f9e98a2d098a47e3674d4617a07817973bee0136a

diff --git a/media-gfx/wings/wings-2.2.5.ebuild b/media-gfx/wings/wings-2.2.5.ebuild
new file mode 100644
index 00000000000..8ae2e6a7556
--- /dev/null
+++ b/media-gfx/wings/wings-2.2.5.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Wings 3D is an advanced subdivision modeler"
+HOMEPAGE="http://www.wings3d.com/"
+SRC_URI="mirror://sourceforge/wings/${P}.tar.bz2"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	|| (
+		<dev-lang/erlang-21[smp,wxwidgets]
+		>dev-lang/erlang-21[wxwidgets]
+	)
+	dev-libs/cl
+	media-libs/glu
+	media-libs/libsdl[opengl]
+	virtual/opengl
+"
+DEPEND="
+	${RDEPEND}
+"
+
+src_compile() {
+	export ERL_PATH="/usr/$(get_libdir)/erlang/lib/"
+	# Work around parallel make issues
+	# Set ER_LIBS to the top source directory
+	emake vsn.mk
+	for subdir in intl_tools e3d src plugins_src icons; do
+		emake -C ${subdir} opt ERL_LIBS="${S}"
+	done
+	default
+}
+
+src_install() {
+	WINGS_PATH=${ERL_PATH}/${P}
+	dodir ${WINGS_PATH}
+
+	find -name 'Makefile*' -exec rm -f '{}' \;
+
+	insinto ${WINGS_PATH}
+	doins -r e3d ebin icons plugins priv psd shaders src textures tools
+
+	newbin "${FILESDIR}"/wings.sh-r1 wings
+	dodoc AUTHORS README
+}


             reply	other threads:[~2019-12-10  9:11 UTC|newest]

Thread overview: 36+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-12-10  9:11 Jeroen Roovers [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-08 15:33 [gentoo-commits] repo/gentoo:master commit in: media-gfx/wings/ Sam James
2025-01-05 13:31 Miroslav Šulc
2024-11-22 23:22 Conrad Kostecki
2020-11-18  6:53 Agostino Sarubbo
2020-10-25 23:08 Thomas Deutschmann
2020-10-10 11:25 Jeroen Roovers
2020-10-09 22:54 Sergei Trofimovich
2020-05-17  8:58 Jeroen Roovers
2018-10-22 10:38 Jeroen Roovers
2018-06-03 13:33 Jeroen Roovers
2018-03-18 19:41 Jeroen Roovers
2018-03-17  7:01 Matt Turner
2018-03-13 21:55 Jeroen Roovers
2017-11-12 11:58 Jeroen Roovers
2017-04-22  9:19 Jeroen Roovers
2017-02-21  5:57 Jeroen Roovers
2016-12-17 13:29 Jeroen Roovers
2016-12-17 13:29 Jeroen Roovers
2016-12-15 17:21 Jeroen Roovers
2016-12-15 17:21 Jeroen Roovers
2016-11-18 22:20 Jeroen Roovers
2016-11-07  8:43 Jeroen Roovers
2016-10-30  8:18 Jeroen Roovers
2016-08-29  7:28 Jeroen Roovers
2016-07-04  7:18 Jeroen Roovers
2016-07-02 11:08 Jeroen Roovers
2016-06-14 13:47 Tobias Klausmann
2016-06-12  9:15 Jeroen Roovers
2016-06-12  9:07 Jeroen Roovers
2016-06-12  7:53 Jeroen Roovers
2016-06-11 10:45 Jeroen Roovers
2016-06-11 10:45 Jeroen Roovers
2016-06-11 10:09 Jeroen Roovers
2016-06-11 10:09 Jeroen Roovers
2016-06-11 10:09 Jeroen Roovers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1575969101.c70d27d079cbd4bb0766e5a5dd61a0904788531b.jer@gentoo \
    --to=jer@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox